EDIT - bug #4957

MS SQL Server not functional as it does not allow more than 2100 parameters
06/01/2015 06:25 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.12

Severity: normal Found in Version:

Description

... for an SQL statement.
But e.g. the term loading uses >2100 parameters (all uuids) to load all managed data.

We need to find ways to avoid that many parameters, e.g. by splitting queries if SQL Server is database type.

Related issues:
Related to EDIT - bug #7113: Adapt SQL Server dialect to support all data types New

Associated revisions

Revision fb707701 - 10/18/2017 06:17 PM - Andreas Miiller
ref #4957 split terms into bulks of 2000 during termloading

History

#1 - 10/14/2015 01:50 PM - Katja Luther
- Target version deleted (Unassigned CDM tickets)
- Priority changed from New to Priority13

#2 - 05/02/2016 03:06 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#3 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#4 - 07/06/2016 03:21 PM - Andreas Miuller

- Target version changed from Release 4.2 to Release 4.3

#5 - 09/23/2016 03:35 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#6 - 12/01/2016 02:07 PM - Andreas Miuller

- Target version changed from Release 4.4 to Release 4.5

#7 - 01/19/2017 01:22 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#8 - 03/10/2017 08:57 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#9 - 05/11/2017 10:22 AM - Andreas Mdiller

- Target version changed from Release 4.7 to Release 4.8

#10 - 07/06/2017 10:43 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9
#11 - 07/21/2017 10:36 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#12 - 09/24/2017 01:36 AM - Andreas Miiller
- Description updated

- Target version changed from Release 4.10 to Release 4.12

#15 - 10/09/2017 06:41 AM - Andreas Muller

- Subject changed from SQL Server not functional as it does not allow more than 2100 parameters to MS SQL Server not functional as it does not
allow more than 2100 parameters

#16 - 12/05/2017 03:28 PM - Andreas Miiller
- Related to bug #7113: Adapt SQL Server dialect to support all data types added

#17 - 12/05/2017 03:29 PM - Andreas Miiller
- Status changed from New to Closed

- Private changed from Yes to No

This is fixed, but there is another issue with SQL Server: #7113
